﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsAppUP02._02Alekseev7
{
    /// <summary>
    /// Класс, в котором просходит построение графика, настройка графика, подстановка значений в график, вычисление значений для X, Y, 
    /// подстановка значений в переменный, изменение цвета формы
    /// </summary>
    public partial class FormMain : Form
    {
        /// <summary>
        /// Метод инициализации компонентов
        /// </summary>
        public FormMain()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Метод кнопки, в котором происходит считывание данных переменных, вычисление значений, построение графика функции
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnResultValueClick(object sender, EventArgs e)
        {
            double A = double.Parse(tbValueA.Text);
            double B = double.Parse(tbValueB.Text);
            double C = double.Parse(tbValueC.Text);


            double Xmin = double.Parse(tbValueXMin.Text);
            double Xmax = double.Parse(tbValueXMax.Text);
            double Step = double.Parse(tbValueStep.Text);

            int count = (int)Math.Ceiling((Xmax - Xmin) / Step) + 1;
            double[] X = new double[count];
            double[] Y = new double[count];
;


            for (int i = 0; i < count; i++)
            {
                X[i] = Xmin + (Step * i);
                Y[i] = Math.Round(((10e-2 * B * C) / X[i]) + Math.Cos(Math.Sqrt(Math.Pow(A, 3) * X[i])) , 2);
            }
            chtGrafic.ChartAreas[0].AxisX.Minimum = Xmin;
            chtGrafic.ChartAreas[0].AxisX.Minimum = Xmax;

            chtGrafic.ChartAreas[0].AxisX.MajorGrid.Interval = Step;

            chtGrafic.Series[0].Points.DataBindXY(X , Y);
        }

        /// <summary>
        /// Метод загрузки формы, в котором меняется цвет формы, подставляются значения в TextBox
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void FormMain_Load(object sender, EventArgs e)
        {
            BackColor = Color.AntiqueWhite;
            tbValueA.Text = "5";
            tbValueB.Text = "-2";
            tbValueC.Text = "10";


        }
    }
}
